package com.ruoyi.framework.recovery.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

// 查询积分记录
@Data
public class CreditVo {
    /**
     * 用户openid
     */
    private String openId;

    /**
     * 积分id
     */
    private Long creditId;

    /**
     * 积分类型
     */
    private String creditType;

    /**
     * 积分数
     */
    private Long creditNum;

    /**
     * 产生积分时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date creditDate;
}
